Start a new topic

MissingPluginException in FLUTTER Examples

Appreciation for the awesome plugin for Flutter. 


I surfed through your documentation and cloned your git hub example project from https://github.com/Wikitude/wikitude-flutter-plugin-examples


I could able to successfully compile and able to launch the example project. But getting the following error in the log console.

No implementation found for method isDeviceSupporting on channel wikitude_plugin


Below is the part of stacktrace

 Unhandled Exception: MissingPluginException(No implementation found for method isDeviceSupporting on channel wikitude_plugin)

E/flutter (13569): #0 MethodChannel._invokeMethod (package:flutter/src/services/platform_channel.dart:157:7)

E/flutter (13569): <asynchronous suspension>

E/flutter (13569): #1 MethodChannel.invokeMethod (package:flutter/src/services/platform_channel.dart:332:12)

E/flutter (13569): #2 WikitudePlugin.isDeviceSupporting (package:augmented_reality_plugin_wikitude/wikitude_plugin.dart:13:44)

E/flutter (13569): #3 CategoryExpansionTileState._isDeviceSupporting (package:wikitude_flutter_app/main.dart:209:33)

E/flutter (13569): #4 CategoryExpansionTileState.createSamplesTileList (package:wikitude_flutter_app/main.dart:188:17)

E/flutter (13569): #5 CategoryExpansionTileState.build.<anonymous closure> (package:wikitude_flutter_app/main.dart:171:21)


Below is the flutter version details

[√] Flutter (Channel stable, 1.22.2, on Microsoft Windows [Version 10.0.18362.1016])

[√] Android toolchain - develop for Android devices (Android SDK version 29.0.2)

[√] Android Studio (version 3.5)

[√] Android Studio (version 4.0)

[√] Connected device (1 available)

 

• No issues found!


Device details : 

Android Emulator API 29


Please guide me to run the example project successfully. 


1 person has this problem

Hi,


I have just followed all the steps to reproduce your issue: from downloading the github project to make it compile and launch, and everything was working fine on my end.


I would need more info about the steps you did to reproduce this.


Regards,


Aitor.

Hi


I got the same Problem ... I downloaded the project from : https://github.com/Wikitude/wikitude-flutter-plugin-examples ..... and I run the command flutter pub get then I run the project and I  got the same Exception :


MissingPluginException(No implementation found for method isDeviceSupporting on channel wikitude_plugin)


Can you help me to fix it.. please ?

Hi,


Are you also calling the flutter pub get command inside the plugin/augmented_reality_plugin_wikitude folder? That's also required for making the project work.


Regards,


Aitor.

yeah I also tried that ...and still got the same Exception 


Hi,


I couldn't reproduce your issue. My steps are:

  • Cloning the repository.
  • Call the flutter pub get command in the project folder and the  plugin/augmented_reality_plugin_wikitude.
  • Remove the next piece of code from the android/app/build.gradle file if running the app from Visual Studio Code.
ndk {
    abiFilters 'armeabi-v7a'
}


The only thing I can think about is that somehow the download action corrupts the plugin folder...


Regards,


Aitor.

Looking for the same solution. Following SDK instructions didn't work.

Tried all the above steps.

Hi Raza,


Could you please tell me which SDK version you are using and what you see in the console log regarding the error you are facing?


One last question, are you getting this error with our sample code or with your project? And if so, is our sample code working for you?


Thank you,

Eva

Login or Signup to post a comment